Scalapay Integration & Developer Portal

Welcome to the Scalapay Integration & Developer Portal. You'll find comprehensive guides and API documentation to help you start working with Scalapay as quickly as possible, as well as support if you get stuck. Let's jump right in!

Documentation    API Reference

Platforms Quickstart

Our team has worked to provide an integration plugin on the most popular e-commerce platforms for a smooth installation of Scalapay on your site!

📘

If you don't find your platform you can contact our integration team that is always available for support or take a look at our Custom Integration guide .

Quickstart

1. Choose your platform

Scalapay is available on many platforms like Prestashop, Magento or WooCommerce.

2. Set up and test your plugin

Set up the Scalapay widget through plugin settings.

3. Test your plugin

Test your order flow and the User Experience.
You'll find all the necessary details in our Testing section.

4. Activate your account and get your credentials

To activate your account you'll need:

  • The Scalapay ID of a successful test order
  • Screenshot of the product page and cart page where there is the Scalapay widget
  • Screenshot of the Scalapay payment method at checkout
  • Compliance with our GDPR policy
    Send everything to our integration team through your ticket to activate your Scalapay account!

5. Scalapay is live!

Your customers can now use Scalapay at checkout. Watch your sales grow!

Platforms

A Scalapay plugin is available for integration into online stores for the following platforms:

📘

If you need to update your current plugin or you have any trouble with Scalapay installation or configuration, make sure to check our F.A.Q..

🚧

Are you a Developer?

If your platform isn't listed up there, check in with us about a plugin for your platform or you can always develop a Custom Integration.

Updated 22 days ago

Platforms Quickstart


Suggested Edits are limited on API Reference Pages

You can only suggest edits to Markdown body content, but not to the API spec.